#### Use two appenders, one to log to console, another to log to a file
log4j.rootCategory=debug, stdout, R

# Print only messages of priority WARN or higher for your category
log4j.category.your.category.name=WARN

#### First appender writes to console
log4j.appender.stdout=org.apache.log4j.ConsoleAppender
log4j.appender.stdout.layout=org.apache.log4j.PatternLayout

# Pattern to output the caller's file name and line number.
log4j.appender.stdout.layout.ConversionPattern=%5p [%t] (%F:%L) - %m%n
#log4j.appender.stdout.layout.ConversionPattern=%-4r %-5p [%t] %37c %3x - %m%n

#### Second appender writes to a file
log4j.appender.R=org.apache.log4j.RollingFileAppender
log4j.appender.R.File=./log/SystemLog.log

# Truncate 'test' if it aleady exists.
log4j.appender.A2.Append=false

# Control the maximum log file size
log4j.appender.R.MaxFileSize=500KB
# Archive log files (one backup file here)
log4j.appender.R.MaxBackupIndex=5

log4j.appender.R.layout=org.apache.log4j.PatternLayout

#log4j.appender.R.layout.ConversionPattern=%p %t %c - %m%n
#log4j.appender.R.layout.ConversionPattern=%-4r %-5p [%t] %37c %3x - %m%n
#log4j.appender.R.layout.ConversionPattern=%d{DATE}%n %p %n%x. %n%t %n %c %n%l %n%m - %n%n
log4j.appender.R.layout.ConversionPattern=[%p] [%d{DATE}] [%t] [%l] %n [Message:] %m%n 
#Date - %d{DATE}[slf5s.DATE]
#Priority - %p[slf5s.PRIORITY]
#NDC - %x[slf5s.NDC]
#Thread - %t[slf5s.THREAD]
#Category - %c[slf5s.CATEGORY]
#Location - %l[slf5s.LOCATION]
#Message - %m[slf5s.MESSAGE]


log4j.com.liteon.mars.flash.view.MainFrame.SWAP=WARN
